POST api/rewards/issue
Issue a specific reward.
Request Information
URI Parameters
Query String: overrideIneligible={overrideIneligible}
| Name | Description | Type | Additional information |
|---|---|---|---|
| overrideIneligible |
Allows you to override eligiblity date rules. Issue rewards with eligibility dates in the future. Optional. |
boolean |
Default value is False |
Body Parameters
Data needed for issuing a reward. Required.
Type: IssueRewardInfo
| Name | Description | Type | Additional information |
|---|---|---|---|
| rewardId |
The unique ID of the reward to issue. |
string |
Required |
| recipientInfo |
(deprecated) Additional info about the reward to issue. In most cases, this can be left blank. For PayPal, include the email address of the recipient. Optional. |
string |
None. |
| note |
A message to be sent to the recipient of the reward. Optional. |
string |
None. |
Request Formats
application/json, text/json
{
"rewardId": "sample string 1",
"recipientInfo": "sample string 2",
"note": "sample string 3"
}
application/xml, text/xml
<issueReward xmlns:i="http://www.w3.org/2001/XMLSchema-instance"> <note>sample string 3</note> <recipientInfo>sample string 2</recipientInfo> <rewardId>sample string 1</rewardId> </issueReward>
Response Information
Resource Description
[HTTP Status 200 - OK]
Type: IssueRewardResult
| Name | Description | Type | Additional information |
|---|---|---|---|
| reward |
The reward, after the attempt to issue it has been received. |
Reward |
None. |
| resultInfo |
Details about the results of the request. |
ResultInfo |
None. |
Response Formats
application/json, text/json
{
"reward": {
"id": "9ebc028b-0c85-4398-a9fc-706036f30e08",
"payoutId": "6f7002e6-e016-4c6e-9abe-f1c3cfe2e648",
"payoutDescription": "sample string 3",
"programId": "e2efdc39-0399-4294-8a8c-e72b9c7a3817",
"programName": "sample string 5",
"memberId": "be087176-66b9-4af3-af1b-b26e90db8e44",
"referralId": "45f81bfb-f0ab-42cb-babb-7eef86fb1752",
"type": "sample string 6",
"recipientId": "28496a04-d189-4baa-afc4-8b54a761bb05",
"recipientName": "sample string 7",
"recipientEmailAddress": "sample string 8",
"recipientExternalIdentifier": "sample string 9",
"externalIdentifier": "sample string 10",
"status": "sample string 11",
"amount": 12.0,
"createDate": "2026-05-07T10:18:50.0665817Z",
"issueDate": "2026-05-07T10:18:50.0665817Z",
"eligibilityDate": "2026-05-07T10:18:50.0665817Z",
"description": "sample string 15",
"transactionID": "2f09ecaf-665d-41e0-ada3-e542cc80e28d",
"updateDate": "2026-05-07T10:18:50.0665817Z",
"referralDisplayName": "sample string 17",
"currencyCode": "sample string 18",
"source": "sample string 19",
"programRewardRuleId": "f4feacfd-9c67-426a-9849-7a7222402ff3",
"paymentType": "sample string 20",
"paymentCode": "sample string 21",
"completeNote": "sample string 22",
"reason": "sample string 23",
"reasonOther": "sample string 24"
},
"resultInfo": {
"Status": "sample string 1",
"Message": "sample string 2"
}
}
application/xml, text/xml
<issueRewardResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
<resultInfo xmlns:d2p1="http://schemas.datacontract.org/2004/07/ReferralRock.Api.Models.Response">
<d2p1:Message>sample string 2</d2p1:Message>
<d2p1:Status>sample string 1</d2p1:Status>
</resultInfo>
<reward>
<id>9ebc028b-0c85-4398-a9fc-706036f30e08</id>
<payoutId>6f7002e6-e016-4c6e-9abe-f1c3cfe2e648</payoutId>
<payoutDescription>sample string 3</payoutDescription>
<programId>e2efdc39-0399-4294-8a8c-e72b9c7a3817</programId>
<programName>sample string 5</programName>
<memberId>be087176-66b9-4af3-af1b-b26e90db8e44</memberId>
<referralId>45f81bfb-f0ab-42cb-babb-7eef86fb1752</referralId>
<type>sample string 6</type>
<recipientId>28496a04-d189-4baa-afc4-8b54a761bb05</recipientId>
<recipientName>sample string 7</recipientName>
<recipientEmailAddress>sample string 8</recipientEmailAddress>
<recipientExternalIdentifier>sample string 9</recipientExternalIdentifier>
<externalIdentifier>sample string 10</externalIdentifier>
<status>sample string 11</status>
<amount>12</amount>
<createDate>2026-05-07T10:18:50.0665817+00:00</createDate>
<issueDate>2026-05-07T10:18:50.0665817+00:00</issueDate>
<eligibilityDate>2026-05-07T10:18:50.0665817+00:00</eligibilityDate>
<description>sample string 15</description>
<transactionID>2f09ecaf-665d-41e0-ada3-e542cc80e28d</transactionID>
<updateDate>2026-05-07T10:18:50.0665817+00:00</updateDate>
<referralDisplayName>sample string 17</referralDisplayName>
<currencyCode>sample string 18</currencyCode>
<source>sample string 19</source>
<programRewardRuleId>f4feacfd-9c67-426a-9849-7a7222402ff3</programRewardRuleId>
<paymentType>sample string 20</paymentType>
<paymentCode>sample string 21</paymentCode>
<completeNote>sample string 22</completeNote>
<reason>sample string 23</reason>
<reasonOther>sample string 24</reasonOther>
</reward>
</issueRewardResult>